TAAS - Feature #424

Set Collection Status
11/19/2024 11:07 AM - Junaid M

Status: Reopen Bugs Testing Done Start date: 11/19/2024
Priority: Normal Due date:

Assignee: Greeshma S % Done: 90%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By:

Time Taken(HH): Code Reviewed By:

Module: Set Collection Status

Description

History

#1 - 11/19/2024 11:08 AM - Junaid M

Set Collection Status

* Check Document note (Agency) and Set File Status
=> 1lst Section
—>Collection Document Number Input, OK button

=> 2nd Section
-Date

—Status
—-Remarks
—Created By
-Modified By

—-Right side label table
—Document, Date

—-Party

—Due Amount, Due Days
—Current Status

->List
# | Date | Status | Remarks | Created By | Modified By | Edit icon

* Edit Allowed Only Remarks and Date

#2 - 11/26/2024 02:36 PM - Anil KV
- Status changed from New to Ready for Coding
- Assignee changed from travvise Admin to Swarag Cm

- % Done changed from 0 to 20

#3 - 12/03/2024 10:26 AM - Anil KV

- Assignee changed from Swarag Cm to Greeshma S

#4 - 12/04/2024 12:15 PM - Greeshma S
- Status changed from Ready for Coding to Coding Started
- % Done changed from 20 to 30

#5 - 12/06/2024 09:33 AM - Greeshma S
- Status changed from Coding Started to Coding Done
- % Done changed from 30 to 60

#6 - 01/02/2025 03:00 PM - Arathy PS
- Status changed from Coding Done to Testing Started

#7 - 01/02/2025 03:16 PM - Arathy PS

- File clipboard-202501021501-Ky7ut.png added

- Status changed from Testing Started to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND

1. Can't save data

Travwse Set Collection Status 219 )= MEnu-_Q L@ A:]

Enter/Select File Open Number.

X
Document No™ | CLN/001 Date” | 02/01/2025 ] Doc Date 03/01/2025 Party CUS002:MOHAMMED AKBAR
t Status” | Active(test) v Due Amount 1210121000 Due Day 12
Remark: Bill Period 01/01/2025 - 14/01/2025 Eill Submission  Fortnight
4 Same Fortnight Based On
L Payment Term e e PaymentDate  15/01/2025
Crested By:
= Branch Al LastStatus 0
T @ & O
#  Date Status User Remarks

- No dat

#8 - 01/02/2025 06:24 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#9 - 01/03/2025 10:22 AM - Arathy PS

- File clipboard-202501031022-vwnlo.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. Status field is empty on edit mode.
2. Missing collection data on edit mode of the collection document
3. No modified by field.
Set Collection Status 22 =-) venu - [ 2| 3| 4~ | ©

Document No* | CLN/0O1 Date” | 03/01/2025 ] Doc Date 03/01/2025 Party
Status™ ~ Due Amount 000 Due Day 0 New
Remarks | s30daT Bill Period Bill Submission
“ Payment Term FaymentDate  03/01/2025
Created By: Administrator (03/01/2025 10:19 AM) Branch Al Last Status 0
Y a 2 &

# Date Status User Remarks

1 03/01/2025 Activeltest) Administrator sdcfdxsf &

#10 - 01/03/2025 04:25 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#11 - 03/14/2025 04:08 PM - Theja Ponon
- File clipboard-202503141607-074m3.png added
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

Issue Found

1)Incorrect value in due amount

Set Collection Status

Document No* | CLN/0D4 Date” | 14/03/2025 ] Doc Date 14/03/2025 Party CUS003:Customer B
Status* v Due Amount 1.00100100010001e+24 Due Day 27
Remarks Bl Period 13/01/2025 - 19/01/2025 Bill Submission  Weekly(Mon-Sun)
p - )
PaymentTarm  'Vithin Next Fortnight Based On PaymentDate  15/02/2025

Submission Date
Created By:
Branch Al Last Status 0

#12 - 03/14/2025 06:06 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#13 - 03/17/2025 02:25 PM - Theja Ponon

Issue Found

1)Incorrect value in due amount field

#14 - 03/17/2025 02:25 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#15 - 03/17/2025 06:35 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70
#16 - 03/29/2025 10:32 AM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

Issue Found

1)If the doc is not overdue then show overdue days as 0

#17 - 03/29/2025 04:46 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#18 - 04/07/2025 11:08 AM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

Files
